﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace SilverlightApplication8
{
	public partial class SilverlightControl1 : UserControl
	{
		public SilverlightControl1()
		{
			InitializeComponent();
			this.Loaded += new RoutedEventHandler(SilverlightControl1_Loaded);
		}

		void SilverlightControl1_Loaded(object sender, RoutedEventArgs e)
		{
			this.RadChart1.ItemsSource = new double[] { 1, 2, 3, 4, 5, 6, 7 };
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			RadChart1.DefaultView.ChartArea.DataSeries.Clear();
			DataSeries ser = new DataSeries();
			ser.Definition = new BarSeriesDefinition();
			Random r = new Random();
			for (int i = 0; i < 10; i++)
			{
				ser.Add(new DataPoint(r.Next(10, 50)));
			}
			RadChart1.DefaultView.ChartArea.DataSeries.Add(ser);
			ser = new DataSeries();
			ser.Definition = new SplineSeriesDefinition();
			for (int i = 0; i < 10; i++)
			{
				ser.Add(new DataPoint(r.Next(10, 50)));
			}
			RadChart1.DefaultView.ChartArea.DataSeries.Add(ser);
		}
	}
}
